public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/kdsoap/
Date: Thu, 15 Sep 2022 17:24:33 +0000 (UTC)	[thread overview]
Message-ID: <1663262599.0668a018a8fb710e82e8fcd170389038cbbc9ecb.asturm@gentoo> (raw)

commit:     0668a018a8fb710e82e8fcd170389038cbbc9ecb
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 15 17:23:19 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Sep 15 17:23:19 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0668a018

net-libs/kdsoap: add 2.1.1

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-libs/kdsoap/Manifest            |  1 +
 net-libs/kdsoap/kdsoap-2.1.1.ebuild | 45 +++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/net-libs/kdsoap/Manifest b/net-libs/kdsoap/Manifest
index 2983860e4ae7..0704d2361d37 100644
--- a/net-libs/kdsoap/Manifest
+++ b/net-libs/kdsoap/Manifest
@@ -1,2 +1,3 @@
 DIST kdsoap-2.0.0.tar.gz 2916527 BLAKE2B 7b9cf71b181b88180fb00cb2f0c2b84b5fd7d997531aa68957a84811959befd9c8909c8892d3b60d47a654916fa5b8841fa7b389a006a8ca6a2cdce98a433cfb SHA512 50305866595048e0ec6cd6dabba9e63a948f1e1263e7f03e9e3bc56f09a843bade944df95b5ff57d4fc3a62896e72f02b0d7b3d5cc2be2823da67001ca459428
 DIST kdsoap-2.1.0.tar.gz 948070 BLAKE2B 69f13fb394c0b6a568d5ee63f26d3384e1276a63084116ebd96b8a1b4b87ef70155aba9a3e84c9c5f7016166d6e1cfffcb98c96400fccac6c7d339f6f73fb41d SHA512 db4c0ba25ccef3c5dc90662fbfa14ee4cdc2e8079f132efebf71a10d9a26460070bf71d22cce478520ead0425488b79f52ea6a1ee651473e989d59dfd5053972
+DIST kdsoap-2.1.1.tar.gz 948277 BLAKE2B 6daec26426bb6becc78400877ad221b929f0c30e45755644258eca864617d20b9d1269d8a964d38d40e9f5eb93ae213a95e05deb0a34dd3817261096178815a2 SHA512 12224f664dcae7ceb7395a7c3de48a208ae81c10f6fba4d0db233613472c6b9cdbea6375297c27b58fe7338d7db27a4447844f4e8f40a24ec1b4dd3fa38d20bb

diff --git a/net-libs/kdsoap/kdsoap-2.1.1.ebuild b/net-libs/kdsoap/kdsoap-2.1.1.ebuild
new file mode 100644
index 000000000000..c988db03bf07
--- /dev/null
+++ b/net-libs/kdsoap/kdsoap-2.1.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+if [[ ${PV} != *9999* ]]; then
+	SRC_URI="https://github.com/KDAB/KDSoap/releases/download/${P}/${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+else
+	EGIT_REPO_URI="https://github.com/KDAB/KDSoap.git"
+	EGIT_SUBMODULES=( kdwsdl2cpp/libkode -autogen )
+	inherit git-r3
+fi
+inherit cmake
+
+DESCRIPTION="Qt-based client-side and server-side SOAP component"
+HOMEPAGE="https://www.kdab.com/development-resources/qt-tools/kd-soap/"
+
+LICENSE="GPL-3 AGPL-3"
+SLOT="0/2"
+IUSE=""
+
+RDEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtxml:5
+"
+DEPEND="${RDEPEND}
+	dev-libs/boost
+"
+
+src_prepare() {
+	cmake_src_prepare
+	sed -e "/install.*INSTALL_DOC_DIR/d" -i CMakeLists.txt || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DKDSoap_DOCS=OFF
+		-DKDSoap_EXAMPLES=OFF # no install targets
+		-DKDSoap_STATIC=OFF
+		-DKDSoap_QT6=OFF
+	)
+	cmake_src_configure
+}


             reply	other threads:[~2022-09-15 17:24 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-15 17:24 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-29 16:34 [gentoo-commits] repo/gentoo:master commit in: net-libs/kdsoap/ Andreas Sturmlechner
2024-06-28 12:59 Sam James
2024-06-28 12:59 Sam James
2024-06-28  0:16 Sam James
2022-10-25 18:36 Andreas Sturmlechner
2022-10-25 17:59 Sam James
2022-10-25 17:55 Sam James
2022-10-25 17:55 Sam James
2021-11-29 14:51 Andreas Sturmlechner
2021-11-07 21:34 Andreas Sturmlechner
2021-04-07  8:36 Andreas Sturmlechner
2021-04-06  6:40 Mikle Kolyada
2021-04-06  6:31 Agostino Sarubbo
2021-04-05 22:54 Thomas Deutschmann
2021-01-02 20:31 Andreas Sturmlechner
2020-07-30  7:21 Agostino Sarubbo
2020-07-30  6:58 Agostino Sarubbo
2020-07-09 11:16 Sam James
2020-05-06  1:01 Thomas Deutschmann
2020-05-01  8:40 Mart Raudsepp
2020-03-25  4:31 Georgy Yakovlev
2020-03-19 14:34 Andreas Sturmlechner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1663262599.0668a018a8fb710e82e8fcd170389038cbbc9ecb.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox